#!/usr/bin/python

import smbus
import time

i2c = smbus.SMBus(1) # SMBus(0) if rev1.0

dev_ad = 0x63
reg0 = 0x0 # control reg
reg1 = 0x1 # fault reg


def motor_move(in1,in2):
  for i in [0x06 ,0x0f ,0x19 ,0x1f ,0x25 ,0x29]:
    out_data = i*4 + in2*2 + in1
    # output voltage and direction 
    i2c.write_byte_data(dev_ad ,reg0 ,out_data)
    # input status
    in_data = i2c.read_byte_data(dev_ad ,reg1)
    print ("level = %x  status : %x" % (i,in_data))
    time.sleep(4)

  # stop motor
  i2c.write_byte_data(dev_ad ,reg0 ,0)
  print ("stop")
  time.sleep(2)

# main

i2c.write_byte_data(dev_ad ,reg1 ,0x80) # reset

motor_move(1,0) # forward
motor_move(0,1) # backward


